Jump to content
Sign in to follow this  
mikeoconnell79

Collapsing Accordian Panel

Recommended Posts

mikeoconnell79

New problem. I just upgraded Wordpress to the new version 3.1 and now my accordian doesn't collapse anymore. Any ideas what happened? I'm at a loss. Thanks in advance. www.sparkbrs.com

Share this post


Link to post
Share on other sites
mikeoconnell79

New twist. I just noticed that if you go to my page www.sparkbrs.com and go to the Blog/Media tab, the pages News/Blog and Video both have the accordian dropdowns working correctly. But the accordians do not work on any of the other pages. Not sure if that will help you or not. Thanks!

Share this post


Link to post
Share on other sites
cmunns

It just means the js is breaking because of some faulty markup. Most likely you have some HTML in your feature slider or in the page content that is not closed. For example having a `

` but not closing it with a `

`

Share this post


Link to post
Share on other sites
mikeoconnell79

I'm not sure I understand that reasoning but I went through the feature sliders and they are ok. They are also not on every page so I'm not sure how they would break the accordian. Did Wordpress change something that effects the iBlogPro theme? Is anyone else have problems with the accordian widget since upgrading to Wordpress 3.1

Share this post


Link to post
Share on other sites
mikeoconnell79

My research found that there are problems with jquery v1.4.4 that came with Wordpress 3.1. Someone was able to bring back jquery 1.4.2 and that solved their problem. Could this be related? http://wordpress.stackexchange.com/questions/10591/weird-jquery-problem-when-upgrade-to-wordpress-3-1 Another note: http://wpmu.org/daily-tip-wordpress-3-1-gets-a-jquery-update/ another: http://wordpress.org/support/topic/jquery-13-on-wp-31 another: http://wordpress.org/support/topic/troubleshooting-wordpress-31-master-list

Share this post


Link to post
Share on other sites
bryan-hadaway

Definitely, WordPress 3.1 changed up a lot. Let's get the developers back in here. I think iBlogPro will be updated into a child theme for PlatformPro is the next step. Thanks, Bryan

Share this post


Link to post
Share on other sites
mikeoconnell79

Bumping up!

Share this post


Link to post
Share on other sites
cmunns

Yes, because the accordion is part of the JQuery UI which is dependent on certain version number of JQuery core. If WP update in 3.1 then pushing back the jQuery version will probably fix it.

Share this post


Link to post
Share on other sites
mikeoconnell79

How do you push back the JQuery version? Novice here. I really like to get this working on all pages because it seems to effect anything I have that uses JQuery. Thanks!

Share this post


Link to post
Share on other sites
mikeoconnell79

Catrina, thanks for the link. I'm just really worried about messing this theme up more than it is. I was hoping that the iBlog4 demo that's on Pagelines website was using Wordpress 3.1 so that I could see if the accordian is working on it. Unfortunately it's using 3.0.1 Do you think the development team will address this issue on iBlog4Pro soon? Thanks!

Share this post


Link to post
Share on other sites
cmunns

The next update to iBlogPro4 is likely v5 which will be as a child theme to PlatformPro. That way all themes use the same core/framework and when we update 1 we update all. With that being said is there any reason for you to run WP3.1 specifically? Easiest solution would probably be to downgrade WP

Share this post


Link to post
Share on other sites
mikeoconnell79

If I downgrade to an earlier version would I lose any new posts or pages I've added? How would I go back to an earlier version if I didn't do a backup before I upgraded? Any help would be appreciated. Thanks!

Share this post


Link to post
Share on other sites
bryan-hadaway

Since you didn't back everything up before upgrading... I don't know what kind of road bumps you could run into. You should of course back everything before downgrading. Please look here for help with a WordPress downgrade: http://wordpress.org/tags/downgrade Thanks, Bryan

Share this post


Link to post
Share on other sites
mikeoconnell79

Fixed it! Found that the WP-Page Tab plug-in caused the accordian to break and the Nextgen Gallery not to work. All is well now. Thanks for the help.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this  

×